%define ispelldir %_libdir/ispell

Name: ispell-ru-rk
Version: 1.1
Release: alt3

Summary: Russian dictionary for ispell -- KOI8-R encoding
License: GPL
Group: System/Internationalization

Packager: Servey Vlasov <vsu@altlinux.ru>
# Note: ispell and aspell hash files are architecture-dependent.
# Do not put BuildArch: noarch here.

Source: ispell-rus-1.1.tar.bz2
Source2: russianw.aff
Source3: ispell-rus-aspellfiles-0.2.tar.bz2

Provides: ispell-dictionary
Requires: ispell
Obsoletes: irussian
Obsoletes: ispell-rus
Obsoletes: ispell-russian
Obsoletes: rispell
Obsoletes: ispell-ru
Provides: ispell-ru = %version


# Automatically added by buildreq on Sat Dec 01 2001
BuildRequires: aspell iconv ispell libaspell libltdl libpspell

%package cp1251
Summary: Russian dictionary for ispell -- CP1251 encoding
Group: System/Internationalization

Provides: ispell-dictionary
Requires: ispell
Obsoletes: irussian
Obsoletes: ispell-rus
Obsoletes: ispell-russian
Obsoletes: rispell
Obsoletes: ispell-ru-cp1251
Provides: ispell-ru-cp1251 = %version


%package -n aspell-ru-rk
Summary: Russian dictionary for aspell
Group: System/Internationalization

Provides: aspell-dictionary
Requires: aspell
Obsoletes: aspell-ru
Provides: aspell-ru = %version


%description
Russian dictionary for ispell in KOI8-R encoding, created by
Vladimir Roganov and Konstantin Knizhnik. 

This dictionary is installed under the name "russian-rk".  Default
Russian dictionary in KOI8-R encoding (with the name "russian") is
selected using update-alternatives (link name "ispell-ru").


%description cp1251
Russian dictionary for ispell in CP1251 encoding, created by
Vladimir Roganov and Konstantin Knizhnik. 

This dictionary is installed under the name "russianw-rk".  Default
Russian dictionary in CP1251 encoding (with the name "russianw") is
selected using update-alternatives (link name "ispell-ru-cp1251").


%description -n aspell-ru-rk
Russian dictionary for use with aspell.  The word list for this
dictionary was created by Vladimir Roganov and Konstantin Knizhnik.

This dictionary is installed under the name "russian--rk".  Default
Russian dictionary for aspell (with the name "russian") is selected
using update-alternatives (link name "aspell-ru").


%prep
%setup -n ispell-rus-%{version} -a 3
cp -a %SOURCE2 russianw.aff


%build
# ispell, KOI8-R
make all

# ispell, CP1251
iconv -f koi8-r -t cp1251 <russian.sml >russianw.sml
buildhash russianw.sml russianw.aff russianw.hash
pushd docs
for f in *.russian; do
  iconv -f koi8-r -t cp1251 <"$f" >"$f"w
done
popd

# aspell
cp /usr/share/aspell/koi8-r.dat .
ispell -d ./russian.hash -e <russian.sml | \
  LANG=ru_RU.KOI8-R aspell --lang=russian-rk --data-dir=. \
    create master ./russian-rk-full


%install
mkdir -p $RPM_BUILD_ROOT%ispelldir
cp -avf russian.aff $RPM_BUILD_ROOT%ispelldir/russian-rk.aff
cp -avf russian.hash $RPM_BUILD_ROOT%ispelldir/russian-rk.hash

cp -avf russianw.aff $RPM_BUILD_ROOT%ispelldir/russianw-rk.aff
cp -avf russianw.hash $RPM_BUILD_ROOT%ispelldir/russianw-rk.hash

mkdir -p $RPM_BUILD_ROOT%_libdir/aspell
mkdir -p $RPM_BUILD_ROOT%_datadir/aspell
mkdir -p $RPM_BUILD_ROOT%_datadir/pspell
install -p -m 644 russian-rk-full $RPM_BUILD_ROOT%_libdir/aspell
install -p -m 644 russian-rk.dat $RPM_BUILD_ROOT%_datadir/aspell
install -p -m 644 russian-rk_phonet.dat $RPM_BUILD_ROOT%_datadir/aspell
echo "add russian-rk-full" >$RPM_BUILD_ROOT%_libdir/aspell/russian-rk.multi
echo "%_libdir/aspell/russian-rk" >$RPM_BUILD_ROOT%_datadir/pspell/ru--rk-aspell.pwli


# Some macros to simplify the install/uninstall scripts.
#
# Usage:
#  %%ispell_add <alt-name> <generic-dict-name> <real-dict-name> <priority>
#  %%ispell_fix <alt-name> <generic-dict-name>
#  %%ispell_del <alt-name> <real-dict-name>
%define ispell_add() /usr/sbin/update-alternatives --install %ispelldir/%2.hash %1 %ispelldir/%3.hash %4 --slave %ispelldir/%2.aff %1.aff %ispelldir/%3.aff ||:
%define ispell_fix() [ -h %ispelldir/%2.hash ] || ln -s /etc/alternatives/%1 %ispelldir/%2.hash ||: ; [ -h %ispelldir/%2.aff ] || ln -s /etc/alternatives/%1.aff %ispelldir/%2.aff ||:
%define ispell_del() [ "$1" = 0 ] && /usr/sbin/update-alternatives --remove %1 %ispelldir/%2.hash ||:

# Like above, but for aspell:
#  %%ispell_add <alt-name> <generic-dict-name> <real-dict-name> <priority> \
#		<generic-multi-name> <real-multi-name>
#  %%ispell_fix <alt-name> <generic-dict-name>
#  %%ispell_del <alt-name> <real-dict-name>
%define aspell_add() /usr/sbin/update-alternatives --install %_datadir/pspell/%2-aspell.pwli %1 %_datadir/pspell/%3-aspell.pwli %4 --slave %_libdir/aspell/%5.multi %1.multi %_libdir/aspell/%6.multi ||:
%define aspell_fix() [ -h %_datadir/pspell/%2-aspell.pwli ] || ln -s /etc/alternatives/%1 %_datadir/pspell/%2-aspell.pwli ||:
%define aspell_del() [ "$1" = 0 ] && /usr/sbin/update-alternatives --remove %1 %_datadir/pspell/%2-aspell.pwli ||:


%post
%ispell_add ispell-ru russian russian-rk 10

%triggerpostun -- ispell-ru
%ispell_fix ispell-ru russian

%triggerpostun -- ispell-ru-rk < 1.1-alt2
%ispell_add ispell-ru russian russian-rk 10

%preun
%ispell_del ispell-ru russian-rk


%post cp1251
%ispell_add ispell-ru-cp1251 russianw russianw-rk 10

%triggerpostun cp1251 -- ispell-ru-cp1251
%ispell_fix ispell-ru-cp1251 russianw

%triggerpostun cp1251 -- ispell-ru-rk-cp1251 < 1.1-alt2
%ispell_add ispell-ru-cp1251 russianw russianw-rk 10

%preun cp1251
%ispell_del ispell-ru-cp1251 russianw-rk


%post -n aspell-ru-rk
%aspell_add aspell-ru ru ru--rk 10 russian russian-rk

%triggerpostun -n aspell-ru-rk -- aspell-ru
%aspell_fix aspell-ru ru

%triggerpostun -n aspell-ru-rk -- aspell-ru-rk < 1.1-alt2
%aspell_add aspell-ru ru ru--rk 10 russian russian-rk

%preun -n aspell-ru-rk
%aspell_del aspell-ru ru--rk


%files
%doc docs/Readme.russian
%doc docs/copyright
%doc docs/cyrispell
%doc docs/readme.makedict
%doc docs/INSTALL.russian
%ispelldir/russian-rk.*


%files cp1251
%doc docs/Readme.russianw
%doc docs/copyright
%doc docs/cyrispell
%doc docs/readme.makedict
%doc docs/INSTALL.russianw
%ispelldir/russianw-rk.*


%files -n aspell-ru-rk
%doc docs/Readme.russian
%doc docs/copyright
%doc LICENSE.phonet
%_libdir/aspell/*
%_datadir/aspell/*
%_datadir/pspell/*

%changelog
* Tue Nov 19 2002 AEN <aen@altlinux.ru> 1.1-alt3
- rebuilt

* Tue Apr 02 2002 Servey Vlasov <vsu@altlinux.ru> 1.1-alt2
- Added aspell phonetic rules file from Andrey Grozin.
- Fixed bugs in %%preun scripts (alternatives were lost after upgrading).
- Addef %%triggerpostun to clean up after my %%preun bugs in the previous
  version :-(

* Sun Dec 02 2001 Sergey Vlasov <vsu@altlinux.ru> 1.1-alt1
- Spec file cleanup.
- Package renamed to ispell-ru-rk (rk = Roganov & Knizhnik).
- Use update-alternatives for choosing the dictionary.
- Build ispell-cp1251 and aspell dictionaries from the same source.
- Do not set BuildArch: noarch because hash files really are
  architecture-dependent; set it to %%_build_arch instead.

* Wed Jun 13 2001 AEN <aen@logic.ru> 1.1-ipl4mdk
- Provides: ispell-dictionary

* Thu Feb 15 2001 AEN <aen@logic.ru>
- back to old style spec

* Wed Dec 06 2000 AEN <aen@logic.ru>
- spec fix
- build for RE


* Sun Oct 8 2000 AEN <aen@logic.ru>
- recoding from KOI8-R to 1251

* Mon Dec 06 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- added Obsoletes: for easier installation over other rpms of same language
- added Requires: locales-ru for proper pre-selection by DrakX
- changed name to ispell-ru for standardization

* Thu Oct 21 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- rebuild with ispell-3.1.20-7mdk (which uses a MASKBITS of 64)

* Sun Oct 16 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Fix incorrect Path in path #0 (ispell-rus-prefix.patch.bz2)
- Change group "Utilities/Text" to "Applications/Text" (rpmlint lament)

* Tue Jul 13 1999 Thierry Vignaud <tvignaud@mandrakesoft.com>
- bzip2 source

* Wed Jul 07 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- First version contribued by IPLabs (http://www.iplabs.ru/Linux)
- Rewriting the .spec.
